using System;

namespace tak1
{
    class Program 
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine()), y = int.Parse(Console.ReadLine());
            int p, q;
            if (x > y)
            {
                 p = x;
                 q = y;
            }
            else
            {
                p = y;
                q = x;
            }
            int mod = 1;
            while (p > mod)
            {
                if (p / mod % 10 < q / mod % 10)
                {
                    p = p - p / mod % 10 * mod + q / mod % 10 * mod;
                    
                }
                mod *= 10;
            }
            Console.WriteLine(p);
        }
    }
}